#include<iostream>
#include<cmath>
using namespace std;
int main(){
    int N,M;
    cin>>N>>M;
    int broj[N],prvi[M],drugi[M];
 	for(int i=0;i<N;i++){
 		cin>>broj[i];
	 
	 }  
	for(int i=0;i<M;i++){
		cin>>prvi[i]>>drugi[i];
	}
	int sreca=0;
	for(int i=0;i<M;i++){
		if(broj[prvi[i]-1]<0 && broj[drugi[i]-1]<0 || broj[prvi[i]-1]<0 && broj[drugi[i]-1]<abs(broj[prvi[i]-1]) || broj[drugi[i]-1]<0 && broj[prvi[i]-1]<abs(broj[drugi[i]-1]))sreca=sreca-broj[prvi[i]-1]-broj[drugi[i]-1];
		else sreca=sreca+broj[prvi[i]-1]+broj[drugi[i]-1];
		
	}
	cout<<sreca;
    return 0;
}